unit PIOExports;

interface

uses
	Winapi.Windows,
	System.SysUtils,
	Core;

function PIO_In8(uClientRef: TClientRef; Offset: TUInt8; out pData: TUInt8): TWinErrCode; cdecl;
function PIO_In32(uClientRef: TClientRef; Offset: TUInt8; out pData: TUInt32): TWinErrCode; cdecl;
function PIO_Out8(uClientRef: TClientRef; Offset: TUInt8; Data: TUInt8): TWinErrCode; cdecl;
function PIO_Out32(uClientRef: TClientRef; Offset: TUInt8; Data: TUInt32): TWinErrCode; cdecl;

implementation

function PIO_In8(uClientRef: TClientRef; Offset: TUInt8; out pData: TUInt8): TWinErrCode; cdecl;
begin

end;

function PIO_In32(uClientRef: TClientRef; Offset: TUInt8; out pData: TUInt32): TWinErrCode; cdecl;
begin

end;

function PIO_Out8(uClientRef: TClientRef; Offset: TUInt8; Data: TUInt8): TWinErrCode; cdecl;
begin

end;

function PIO_Out32(uClientRef: TClientRef; Offset: TUInt8; Data: TUInt32): TWinErrCode; cdecl;
begin

end;

end.
